Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367699 - Review Request: python-sphinx-theme-py3doc-enhanced - Theme based on the theme of https://docs.python.org/3/
Summary: Review Request: python-sphinx-theme-py3doc-enhanced - Theme based on the them...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-17 09:11 UTC by Julien Enselme
Modified: 2016-09-22 00:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-17 22:29:03 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Julien Enselme 2016-08-17 09:11:40 UTC
Spec URL: http://dl.jujens.eu/SPECS/python-sphinx_py3doc_enhanced_theme.spec
SRPM URL: http://dl.jujens.eu/SRPMS/python-sphinx_py3doc_enhanced_theme-2.3.2-1.fc24.src.rpm

Description:
Theme based on the theme of https://docs.python.org/3/ with some responsive
enhancements.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-08-21 21:16:57 UTC
We have a bunch of theme packages using a common naming scheme:
python2-sphinx-theme-alabaster.noarch             0.7.8-1.fc24                            @System
python3-sphinx-theme-alabaster.noarch             0.7.8-1.fc24                            @System
python3-sphinx-theme-better.noarch                0.1.5-8.fc24                            fedora 
python3-sphinx-theme-flask.noarch                 git20130715.1cc4468-7.fc24              fedora 

Also, dashes are preferred [https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#Separators].
So I think the package should be called python-sphinx-theme-py3doc-enhanced or so.

The usual suggestion: define %global _description \
blah blah ... \
blah blah

and then use it as %description %_description, %description -n python3-foobar %_description, %description -n python2-foobar %_description.

Comment 2 Julien Enselme 2016-08-22 13:22:05 UTC
> We have a bunch of theme packages using a common naming scheme

Yes, but they don't have underscore in their name: alabaster is just named alabaster (https://pypi.python.org/pypi/alabaster) and from what I see, the other two have dashes in their name.

Moreover, we have python3-sphinx_rtd_theme.noarch which has underscores in its name (https://github.com/snide/sphinx_rtd_theme).

> Also, dashes are preferred

Agreed but, "packages where the upstream name naturally contains an underscore are excluded from this". Since in the upstream name there are underscores, I'd say this apply.

Now that this popups up, I though there was a wiki page about packaging sphinx themes but I can't find it out. Should ask devel about how this package should be named?


> The usual suggestion: define %global _description

Done

* Mon Aug 22 2016 Julien Enselme <jujens@jujens.eu> - 2.3.2-2
- Use %%desc macro for description

SRPM: http://dl.jujens.eu/SRPMS/python-sphinx_py3doc_enhanced_theme-2.3.2-2.fc24.src.rpm
SPEC: http://dl.jujens.eu/SPECS/python-sphinx_py3doc_enhanced_theme.spec

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-08-22 14:53:16 UTC
(In reply to Julien Enselme from comment #2)
> Now that this popups up, I though there was a wiki page about packaging
> sphinx themes but I can't find it out. Should ask devel about how this
> package should be named?
Please do. I think the current consensus is more towards dashes and consistent names but let's see what people say.

Comment 4 Julien Enselme 2016-08-31 17:50:53 UTC
From I see there's no consensus on devel. Both python-sphinx-theme-py3doc-enhanced and python-sphinx_py3doc_enhanced_theme are seen as valid.

What I propose is:

- Use as the main name for the package: python-sphinx-theme-py3doc-enhanced
- Add a provide for python-sphinx_py3doc_enhanced_theme

This way it can be installed with a nice and consistant name as well
with its upstream name.

If you're OK with that, I'll update the spec and the title of this review.

Comment 5 Zbigniew Jędrzejewski-Szmek 2016-09-03 10:12:40 UTC
Yeah, that sounds good.

Comment 6 Julien Enselme 2016-09-03 16:07:37 UTC
* Sat Sep 03 2016 Julien Enselme <jujens@jujens.eu> - 2.3.2-3
- Change package name to python-sphinx-theme-py3doc-enhanced
- Add provides for python-sphinx_py3doc_enhanced_theme


SRPM: http://dl.jujens.eu/SRPMS/python-sphinx-theme-py3doc-enhanced-2.3.2-3.fc24.src.rpm
SPEC: http://dl.jujens.eu/SPECS/python-sphinx-theme-py3doc-enhanced.spec

Comment 7 Zbigniew Jędrzejewski-Szmek 2016-09-11 21:34:45 UTC
+ package name is OK ;)
+ latest version
+ license is acceptable (BSD)
+ license is specified correctly
+ provides/requires look sane
+ modern python packaging template is used
+ %python_provide is used
+ no scriptlets present or necessary

Package is APPROVED.

Comment 8 Julien Enselme 2016-09-12 07:02:38 UTC
Thanks for the review. If you have packages to review, please assign me to them, I should be able to do a review this week.

Comment 9 Gwyn Ciesla 2016-09-12 14:45:36 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-sphinx-theme-py3doc-enhanced

Comment 10 Fedora Update System 2016-09-12 15:42:37 UTC
python-sphinx-theme-py3doc-enhanced-2.3.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c0ba28039

Comment 11 Fedora Update System 2016-09-12 15:52:07 UTC
python-sphinx-theme-py3doc-enhanced-2.3.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-84dd347fb5

Comment 12 Fedora Update System 2016-09-14 02:53:00 UTC
python-sphinx-theme-py3doc-enhanced-2.3.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c0ba28039

Comment 13 Fedora Update System 2016-09-14 03:25:59 UTC
python-sphinx-theme-py3doc-enhanced-2.3.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-84dd347fb5

Comment 14 Fedora Update System 2016-09-17 22:29:00 UTC
python-sphinx-theme-py3doc-enhanced-2.3.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-09-22 00:24:23 UTC
python-sphinx-theme-py3doc-enhanced-2.3.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.